#!/bin/env fish
begin
    set -l dir (status dirname)

    function initialize -V dir
        source "$dir/../../Common/Scripts/wait-network.fish"
        waitNetwork
        or exit

        sudo systemctl enable --now nix-daemon
        source "$dir/../Scripts/software.fish"
        source "$dir/../Software/base-devel/main.fish"
        source "$dir/../Software/pacman/main.fish"
        source "$dir/../Software/yay/main.fish"
        yayinst powershell-bin
    end

    if not type -q installSoftware
        function installSoftware -V dir
            source "$dir/../../Common/Scripts/config.fish"
            source "$dir/../Scripts/software.fish"

            if collectionActive essential
                yayinst \
                    mkinitcpio-firmware \
                    neofetch \
                    bash-completion \
                    wget \
                    oh-my-posh-bin \
                    screen \
                    tmux \
                    htop \
                    lsof \
                    zsh \
                    fish \
                    pkgfile \
                    sl \
                    rar

                sudo pkgfile --update
                source "$dir/../Software/openssh/main.fish"
                source "$dir/../Software/vim/main.fish"
                source "$dir/../Software/git/main.fish"
            end

            if collectionActive common
                yayinst \
                    tldr \
                    btop \
                    nvtop \
                    numbat-bin \
                    terminal-parrot
            end
        end
    end

    source "$dir/../../Common/OS/install.fish"
end
